diststream.h File Reference

`diststream` - i/o streams in distributed environment More...

Go to the source code of this file.

## Classes

class | odiststream
| odiststream: see the `diststream` page for the full documentation More...

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | define_sequential_odiststream_raw_macro(arg)
#define | define_sequential_odiststream_macro(T) define_sequential_odiststream_raw_macro(const T& x)
#define | define_distributed_odiststream_macro(T)
#define | define_sequential_idiststream_macro(T)
#define | define_distributed_raw_idiststream_macro(T)
#define | define_distributed_idiststream_macro(T) define_distributed_raw_idiststream_macro(T& x)

## Functions

template<class T >
odiststream & | operator<< (odiststream &s, T x)

define_sequential_idiststream_macro (char) define_sequential_idiststream_macro(int) define_sequential_idiststream_macro(long int) define_sequential_idiststream_macro(unsigned int) define_sequential_idiststream_macro(long unsigned int) define_sequential_idiststream_macro(float) define_sequential_idiststream_macro(double) define_sequential_idiststream_macro(long double) define_sequential_idiststream_macro(std

bool | dis_scatch (idiststream &ips, const communicator &comm, std::string ch)
| distributed version of scatch(istream&,string) More...
bool | dis_scatch (idiststream &ips, std::string ch)
idiststream & | operator>> (idiststream &ids, const catchmark &m)
odiststream & | operator<< (odiststream &ods, const catchmark &m)
int | dis_system (const std::string &command, const communicator &comm)
bool | dis_file_exists (const std::string &filename, const communicator &comm)

## Detailed Description

`diststream` - i/o streams in distributed environment

Definition in file diststream.h.

## Macro Definition Documentation

## define_sequential_odiststream_raw_macro

#define define_sequential_odiststream_raw_macro | ( |  | arg | ) |

Value:
inline \
odiststream& \
operator << (odiststream& s, arg) { \
if (s.nop()) return s; s.os() << x; return s; \
}

Definition at line 249 of file diststream.h.

## define_sequential_odiststream_macro

#define define_sequential_odiststream_macro | ( |  | T | ) | define_sequential_odiststream_raw_macro(const T& x)

Definition at line 255 of file diststream.h.

## define_distributed_odiststream_macro

#define define_distributed_odiststream_macro | ( |  | T | ) |

Value:
inline \
odiststream& \
operator << (odiststream& s, const T& x) { \
s.os() << x; return s; \
}
T
Expr1::float_type T
Definition: field_expr.h:261

Definition at line 258 of file diststream.h.

## define_sequential_idiststream_macro

#define define_sequential_idiststream_macro | ( |  | T | ) |

Value:
inline \
idiststream& \
operator >> (idiststream& s, T& x) \
{ \
if (s.do_load()) { (s.is()) >> x; } \
mpi::broadcast (mpi::communicator(), x, s.io_proc()); \
return s; \
}

Definition at line 373 of file diststream.h.

## define_distributed_raw_idiststream_macro

#define define_distributed_raw_idiststream_macro | ( |  | T | ) |

Value:
inline \
idiststream& \
operator >> (idiststream& s, T_x) \
{ \
s.is() >> x; \
return s; \
}

Definition at line 392 of file diststream.h.

## define_distributed_idiststream_macro

#define define_distributed_idiststream_macro | ( |  | T | ) | define_distributed_raw_idiststream_macro(T& x)

Definition at line 400 of file diststream.h.